Page MenuHomePhabricator

Access to Hadoop Cluster for Ananth Ramakrishnan (new contractor)
Closed, ResolvedPublic

Description

Ananth is a new contractor that will be working with the Analytics Cluster. He will need to be in the analytics-privatedata-users and bastion groups.

Ananth, please read https://wikitech.wikimedia.org/wiki/Server_access_responsibilities. You will need to provide your preferred username (preferably the same one you create for Labs), and your public SSH key.

Toby, please approve this access here.

Event Timeline

Ottomata created this task.Dec 23 2014, 4:20 PM
Ottomata renamed this task from Access to Hadoop Cluster for Ananth Ramakrishnan (new contractor to Access to Hadoop Cluster for Ananth Ramakrishnan (new contractor).
Ottomata claimed this task.
Ottomata raised the priority of this task from to Needs Triage.
Ottomata updated the task description. (Show Details)
Ottomata set Security to None.
Ottomata added subscribers: Ottomata, Tnegrin.

approved by manager

Thanks Andrew.

Preferred username: ananthrk
Attached my public SSH key here

kevinator triaged this task as High priority.Dec 24 2014, 5:01 PM

Thanks Ananth.

According to https://wikitech.wikimedia.org/wiki/Server_access_responsibilities#SSH_key_access, We will need you to use a different ssh key for production than the one you set up and added for Labs/Wikitech. Can you create a new ssh key and give me the public key?

Also, we have some pretty strict methods of verifying production public keys. We have a some standard processes, but since you are a contractor they don't really apply. The easiest thing will be for us to jump into a google hangout so I can see that you are you and are can prove that you are giving me the key you intend to. (I know, strict, but meh? :) )

Thanks Andrew. Please find a different public key attached.

Send me a link to the Hangout session and I will jump right in

Ottomata mentioned this in Unknown Object (Diffusion Commit).Dec 29 2014, 3:33 PM
Ottomata closed this task as Resolved.Jan 5 2015, 3:11 PM
gerritbot added a subscriber: gerritbot.

Change 185062 had a related patch set uploaded (by EBernhardson):
Introduce ApiFeedContributions::feedItem hook

https://gerrit.wikimedia.org/r/185062

Patch-For-Review

Change 185062 merged by jenkins-bot:
Introduce ApiFeedContributions::feedItem hook

https://gerrit.wikimedia.org/r/185062

Change 187145 had a related patch set uploaded (by EBernhardson):
Introduce ApiFeedContributions::feedItem hook

https://gerrit.wikimedia.org/r/187145

Patch-For-Review

Change 187146 had a related patch set uploaded (by EBernhardson):
Introduce ApiFeedContributions::feedItem hook

https://gerrit.wikimedia.org/r/187146

Patch-For-Review

Change 187146 abandoned by EBernhardson:
Introduce ApiFeedContributions::feedItem hook

Reason:
decided not necessary

https://gerrit.wikimedia.org/r/187146

Change 187145 abandoned by EBernhardson:
Introduce ApiFeedContributions::feedItem hook

Reason:
decided not necessary

https://gerrit.wikimedia.org/r/187145